<?php

namespace ContainerEogkWnM;

class CustomFieldsPackage_a8cff89 extends \UVDesk\CommunityPackages\UVDesk\CustomFields\CustomFieldsPackage implements \ProxyManager\Proxy\VirtualProxyInterface
{
    private $valueHolder76fd1 = null;
    private $initializer95cdd = null;
    private static $publicPropertiesa10b7 = [
        
    ];
    public static function staticProxyConstructor($initializer)
    {
        static $reflection;
        $reflection = $reflection ?? new \ReflectionClass(__CLASS__);
        $instance   = $reflection->newInstanceWithoutConstructor();
        unset($instance->metadata);
        $instance->initializer95cdd = $initializer;
        return $instance;
    }
    public function __construct()
    {
        static $reflection;
        if (! $this->valueHolder76fd1) {
            $reflection = $reflection ?? new \ReflectionClass('UVDesk\\CommunityPackages\\UVDesk\\CustomFields\\CustomFieldsPackage');
            $this->valueHolder76fd1 = $reflection->newInstanceWithoutConstructor();
        unset($this->metadata);
        }
    }
    public function & __get($name)
    {
        $this->initializer95cdd && ($this->initializer95cdd->__invoke($valueHolder76fd1, $this, '__get', ['name' => $name], $this->initializer95cdd) || 1) && $this->valueHolder76fd1 = $valueHolder76fd1;
        if (isset(self::$publicPropertiesa10b7[$name])) {
            return $this->valueHolder76fd1->$name;
        }
        $realInstanceReflection = new \ReflectionClass('UVDesk\\CommunityPackages\\UVDesk\\CustomFields\\CustomFieldsPackage');
        if (! $realInstanceReflection->hasProperty($name)) {
            $targetObject = $this->valueHolder76fd1;
            $backtrace = debug_backtrace(false, 1);
            trigger_error(
                sprintf(
                    'Undefined property: %s::$%s in %s on line %s',
                    $realInstanceReflection->getName(),
                    $name,
                    $backtrace[0]['file'],
                    $backtrace[0]['line']
                ),
                \E_USER_NOTICE
            );
            return $targetObject->$name;
        }
        $targetObject = $this->valueHolder76fd1;
        $accessor = function & () use ($targetObject, $name) {
            return $targetObject->$name;
        };
        $backtrace = debug_backtrace(true, 2);
        $scopeObject = isset($backtrace[1]['object']) ? $backtrace[1]['object'] : new \ProxyManager\Stub\EmptyClassStub();
        $accessor = $accessor->bindTo($scopeObject, get_class($scopeObject));
        $returnValue = & $accessor();
        return $returnValue;
    }
    public function __set($name, $value)
    {
        $this->initializer95cdd && ($this->initializer95cdd->__invoke($valueHolder76fd1, $this, '__set', array('name' => $name, 'value' => $value), $this->initializer95cdd) || 1) && $this->valueHolder76fd1 = $valueHolder76fd1;
        $realInstanceReflection = new \ReflectionClass('UVDesk\\CommunityPackages\\UVDesk\\CustomFields\\CustomFieldsPackage');
        if (! $realInstanceReflection->hasProperty($name)) {
            $targetObject = $this->valueHolder76fd1;
            $targetObject->$name = $value;
            return $targetObject->$name;
        }
        $targetObject = $this->valueHolder76fd1;
        $accessor = function & () use ($targetObject, $name, $value) {
            $targetObject->$name = $value;
            return $targetObject->$name;
        };
        $backtrace = debug_backtrace(true, 2);
        $scopeObject = isset($backtrace[1]['object']) ? $backtrace[1]['object'] : new \ProxyManager\Stub\EmptyClassStub();
        $accessor = $accessor->bindTo($scopeObject, get_class($scopeObject));
        $returnValue = & $accessor();
        return $returnValue;
    }
    public function __isset($name)
    {
        $this->initializer95cdd && ($this->initializer95cdd->__invoke($valueHolder76fd1, $this, '__isset', array('name' => $name), $this->initializer95cdd) || 1) && $this->valueHolder76fd1 = $valueHolder76fd1;
        $realInstanceReflection = new \ReflectionClass('UVDesk\\CommunityPackages\\UVDesk\\CustomFields\\CustomFieldsPackage');
        if (! $realInstanceReflection->hasProperty($name)) {
            $targetObject = $this->valueHolder76fd1;
            return isset($targetObject->$name);
        }
        $targetObject = $this->valueHolder76fd1;
        $accessor = function () use ($targetObject, $name) {
            return isset($targetObject->$name);
        };
        $backtrace = debug_backtrace(true, 2);
        $scopeObject = isset($backtrace[1]['object']) ? $backtrace[1]['object'] : new \ProxyManager\Stub\EmptyClassStub();
        $accessor = $accessor->bindTo($scopeObject, get_class($scopeObject));
        $returnValue = $accessor();
        return $returnValue;
    }
    public function __unset($name)
    {
        $this->initializer95cdd && ($this->initializer95cdd->__invoke($valueHolder76fd1, $this, '__unset', array('name' => $name), $this->initializer95cdd) || 1) && $this->valueHolder76fd1 = $valueHolder76fd1;
        $realInstanceReflection = new \ReflectionClass('UVDesk\\CommunityPackages\\UVDesk\\CustomFields\\CustomFieldsPackage');
        if (! $realInstanceReflection->hasProperty($name)) {
            $targetObject = $this->valueHolder76fd1;
            unset($targetObject->$name);
            return;
        }
        $targetObject = $this->valueHolder76fd1;
        $accessor = function () use ($targetObject, $name) {
            unset($targetObject->$name);
            return;
        };
        $backtrace = debug_backtrace(true, 2);
        $scopeObject = isset($backtrace[1]['object']) ? $backtrace[1]['object'] : new \ProxyManager\Stub\EmptyClassStub();
        $accessor = $accessor->bindTo($scopeObject, get_class($scopeObject));
        $accessor();
    }
    public function __clone()
    {
        $this->initializer95cdd && ($this->initializer95cdd->__invoke($valueHolder76fd1, $this, '__clone', array(), $this->initializer95cdd) || 1) && $this->valueHolder76fd1 = $valueHolder76fd1;
        $this->valueHolder76fd1 = clone $this->valueHolder76fd1;
    }
    public function __sleep()
    {
        $this->initializer95cdd && ($this->initializer95cdd->__invoke($valueHolder76fd1, $this, '__sleep', array(), $this->initializer95cdd) || 1) && $this->valueHolder76fd1 = $valueHolder76fd1;
        return array('valueHolder76fd1');
    }
    public function __wakeup()
    {
        unset($this->metadata);
    }
    public function setProxyInitializer(?\Closure $initializer = null) : void
    {
        $this->initializer95cdd = $initializer;
    }
    public function getProxyInitializer() : ?\Closure
    {
        return $this->initializer95cdd;
    }
    public function initializeProxy() : bool
    {
        return $this->initializer95cdd && ($this->initializer95cdd->__invoke($valueHolder76fd1, $this, 'initializeProxy', array(), $this->initializer95cdd) || 1) && $this->valueHolder76fd1 = $valueHolder76fd1;
    }
    public function isProxyInitialized() : bool
    {
        return null !== $this->valueHolder76fd1;
    }
    public function getWrappedValueHolderValue()
    {
        return $this->valueHolder76fd1;
    }
}

if (!\class_exists('CustomFieldsPackage_a8cff89', false)) {
    \class_alias(__NAMESPACE__.'\\CustomFieldsPackage_a8cff89', 'CustomFieldsPackage_a8cff89', false);
}
